%define upstream_name Crypt-CipherSaber
%define upstream_version 1.01

%{?perl_default_filter}

Name:		    perl-%{upstream_name}
Version:	    %perl_convert_version %{upstream_version}
Release:	    %mkrel 4
Summary:	    Perl module implementing CipherSaber encryption
License:	    GPL or Artistic
Group:		    Development/Perl
Url:		    http://search.cpan.org/dist/%{upstream_name}
Source:		    http://www.cpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::Simple) >= 0.60
BuildRequires:  perl(Test::Warn)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
BuildConflicts:  perl(Module::Signature)
BuildArch:	    noarch


%description
The Crypt::CipherSaber module implements CipherSaber encryption, described at
http://ciphersaber.gurus.com. It is simple, fairly speedy, and relatively
secure algorithm based on RC4.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%make_install

%files 
%doc Changes README
%{perl_vendorlib}/Crypt
%{_mandir}/*/*


%changelog
* Sat Nov 26 2016 daviddavid <daviddavid> 1.10.0-4.mga6
+ Revision: 1070349
- do not parallel make to fix testsuite

* Sat Jun 18 2016 pterjan <pterjan> 1.10.0-3.mga6
+ Revision: 1024508
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.10.0-2.mga6
+ Revision: 968342
- Mageia 6 Mass Rebuild

* Mon Jul 06 2015 sander85 <sander85> 1.10.0-1.mga6
+ Revision: 852065
- update to 1.01

* Sat Jul 04 2015 sander85 <sander85> 1.00-11.mga6
+ Revision: 850539
- update to

* Wed Oct 15 2014 umeabot <umeabot> 1.00-11.mga5
+ Revision: 743214
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.00-10.mga5
+ Revision: 684032
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.00-9.mga4
+ Revision: 510358
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.00-8.mga3
+ Revision: 364831
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.00-7.mga1
+ Revision: 31816
- mageia rebuild
- imported package perl-Crypt-CipherSaber


* Sat Jul 31 2010 Funda Wang <fwang@mandriva.org> 1.00-7mdv2011.0
+ Revision: 563897
- build conflicts with perl(Module::Signature), otherwise test will fail

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.00-7mdv2010.0
+ Revision: 426441
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.00-6mdv2009.0
+ Revision: 223580
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.00-5mdv2008.1
+ Revision: 136699
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Aug 25 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.00-5mdv2007.0
- spec cleanup
- fix directory ownership

* Mon Aug 22 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.00-4mdk
- real buildrequires fix (thx spurtle)

* Wed Aug 17 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.00-3mdk
- Revert previous uncessary fix...

* Sun Jul 31 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.00-2mdk
- Fix BuildRequires

* Mon Jul 18 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.00-1mdk
- New release 1.00
- make test
- spec cleanup

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.61-3mdk
- fix buildrequires in a backward compatible way

* Wed Jul 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.61-2mdk 
- rpmbuildupdate aware

* Tue Dec 16 2003 Guillaume Rousse <guillomovitch@mandrake.org> 0.61-1mdk
- first mdk release

